#include "writer.h"
#include "list.h"

using namespace std;

void Writer::indent ()
{
    if (level > 0)
        f << string (level*4, ' ');
}

void Writer::newLine ()
{
    f << endl;
}

void Writer::writeSection (List & v)
{
   level ++;
   indent ();
   f << "<ul>";
   newLine ();
   level ++;

   Item * p = v.getFirst ();
   while (p != nullptr)
   {
       indent ();
       f << "<li>";
       f << p->name;
       f << "</li>";

       if (p->info != "")
       {
           const char quote = '"';
           f << "<img" << " " << "src=";
           f << quote;
           f << p->info;
           f << quote ;
           f << " " << "height=160" << "/>";
       }
       newLine ();

       if (p->inner.getFirst () != nullptr)
       {
            writeSection (p->inner);
       }
       p = p->getNext ();
   }

   level --;
   indent ();
   f << "</ul>";
   newLine ();
   level --;
}

void Writer::writeHtml (List & v)
{
    level = 0;
    f << "<!DOCTYPE html>" << endl;
    f << "<html>" << endl;
    f << "<head>" << endl;
    f << "<title>Vystupni soubor </title>" << endl;
    f << "</head>" << endl;
    f << "<body>" << endl;
    writeSection (v);
    f << "</body>" << endl;
    f << "</html>" << endl;
}

